import { Component, OnInit,Input,Output,EventEmitter } from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules'
import { Router } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { BasicInComponent } from '../components/basic-in/basic-in.component'
@Component({
  selector: 'app-apply',
  imports: [CommonCompModule,ReactiveFormsModule,BasicInComponent],
  standalone: true,
  templateUrl: './apply.component.html',
  styleUrls: ['./apply.component.scss']
})
export class ApplyComponent implements OnInit {
  state:number = 0
  get stateMap(){
    let map:any = {
      '0':'教材基本信息',
      '1':'教材适用情况',
      '2':'填写材料内容',
      '3':'上传附件及承诺',
    }
    return map[this.state]
  }
  editForm:any

  constructor(
    private router:Router,
  ) {}

  ngOnInit() {
  }
}
