import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageHomeComponent } from './page-home/page-home.component';
import { ApproveComponent } from './approve/approve.component';
import { ProfileComponent } from '../user/profile/profile.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'home/apply',
    pathMatch: "full",
  },
  {
    path: 'home',
    component: PageHomeComponent,
    children: [
      {
        path: 'apply', //创建教材
        component: ApproveComponent,
      },
    ],
  },
  {
    path: 'profile',
    component: ProfileComponent,
  }
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavReviewRoutingModule {}
